package com.hs.api.model;

import java.util.Date;

public class SysModule {
    private Long id;

    private Date createDate;

    private Long createUserid;

    private boolean state;

    private String moduleName;

    private String moduleUrl;

    private String moduleImage;

    private Long parentId;

    private String pageCode;

    private Long sort;

    private Long moduleType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Long getCreateUserid() {
        return createUserid;
    }

    public void setCreateUserid(Long createUserid) {
        this.createUserid = createUserid;
    }

    public boolean getState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
    }

    public String getmoduleName() {
        return moduleName;
    }

    public void setmoduleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getmoduleUrl() {
        return moduleUrl;
    }

    public void setmoduleUrl(String moduleUrl) {
        this.moduleUrl = moduleUrl;
    }

    public String getmoduleImage() {
        return moduleImage;
    }

    public void setmoduleImage(String moduleImage) {
        this.moduleImage = moduleImage;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getPageCode() {
        return pageCode;
    }

    public void setPageCode(String pageCode) {
        this.pageCode = pageCode;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getmoduleType() {
        return moduleType;
    }

    public void setmoduleType(Long moduleType) {
        this.moduleType = moduleType;
    }
}